/* 
   File: zddesk.h - Definition of main CWinApp object.

   Defines ZDDesk's main application object and also defines the 
   about dialog box.

   Author: Steven E. Sipe
   
*/

#ifndef __AFXWIN_H__
   #error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CZDDeskApp:
// See zddesk.cpp for the implementation of this class
//

class CZDDeskApp : public CWinApp
{
// Private operations
private:
   // Returns TRUE if running the new Win95 shell (Win95 or WinNT 4.0 or greater)
   BOOL HasNewShell();

   // Returns TRUE if ZDDesk is already running
   BOOL AlreadyRunning();

   // Handles pre-message translation -- used by splash screen logic
   virtual BOOL PreTranslateMessage(MSG* pMsg);

// Construction/Destruction
public:
   // Constructor
   CZDDeskApp();

// Public operations
public:
   // Interface to WinHelp
   void WinHelp(DWORD dwData, UINT nCmd = HELP_CONTEXT);

// Overrides
   // ClassWizard generated virtual function overrides
   //{{AFX_VIRTUAL(CZDDeskApp)
   public:
   virtual BOOL InitInstance();
   //}}AFX_VIRTUAL

// Implementation

   //{{AFX_MSG(CZDDeskApp)
   //}}AFX_MSG
   DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////
// CAbout dialog

class CAbout : public CDialog
{
// Construction
public:
   CAbout(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
   //{{AFX_DATA(CAbout)
   enum { IDD = IDD_ABOUT };
      // NOTE: the ClassWizard will add data members here
   //}}AFX_DATA


// Overrides
   // ClassWizard generated virtual function overrides
   //{{AFX_VIRTUAL(CAbout)
   protected:
   virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
   //}}AFX_VIRTUAL

// Implementation
protected:

   // Generated message map functions
   //{{AFX_MSG(CAbout)
   afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
   //}}AFX_MSG
   DECLARE_MESSAGE_MAP()
};

